<template name="index">
	<view class="index">
		<view class="temp">
			<view class="btnList">
				<button class="btnStaff" type="primary" @click="staff">员工填报</button>
				<button class="btnSecurity" type="primary" @click="security">安保测温</button>
				<image class="img" src="../../static/22.jpg" mode="" ></image>
				<view class="tips">
					入园请向门卫出示健康码
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		components: {},
		name: "home",
		data() {
			return {};
		},
		onLoad: function(option) {
			let that = this
			// #ifdef MP-WEIXIN 
			wx.login({
				success(res) {
					if (res.code) {
						let code = res.code
						that.getUserInfo(code)
					} else {
						console.log('登录失败！' + res.errMsg)
					}
				}
			})
			// #endif 
		},
		onShow() {},
		methods: {
			// 员工跳转
			staff() {
				uni.navigateTo({
					url: `/pages/fillIn/fillIn`
				})
			},
			
			// 安保跳转
			security() {
				uni.navigateTo({
					url: `/pages/security/security`
				})
			},
			// 获取用户信息
			getUserInfo(code) {
				this.$http.post(`/sict-ncov/user/auth?code=${code}`).then(res => {
					const d = res.data
					if (d.code == 1) {
						let userInfo = d.object
						let obj = Object.assign({}, this.$store.getters.userInfo)
						if (obj.avatarUrl) {
							userInfo.avatarUrl = obj.avatarUrl
						}
						this.$store.dispatch('user/setInfo', Object.assign(obj, userInfo))
						this.$store.dispatch('user/setToken', d.result)
					}
				}).catch(err => {
					console.log(err)
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.temp {
		font-size: 40px;
		text-align: center;
		height: 100vh;
		width: 100vw;
		background-repeat: no-repeat;
		background-size: cover; 
		background-image: url('http://139.9.163.126/gastric/static/background.jpg');
		.btnList{
			padding-top: 435upx;
			.btnStaff,.btnSecurity{
				background-color: #92d0f1;
				color: #FFFFFF;
				border-radius: 60upx;
				width: 52%;
				text-align: center;
			}
			.btnSecurity{
				margin-top:45upx;
			}
			.img{
				margin-top:45upx;
				width: 200upx;
				height: 200upx;
			}
			.tips{
				margin-top:25upx;
				font-weight: bold;
				font-size: 28upx;
				color:#FFFFFF;
			}
		}
	}
</style>
